REBOL [
	Title: "R3 GUI - Examples"
	Version: 0.1.0
	comments: { This code corresponds to the examples given in the official R3 Gui - User's Guide
	http://www.rebol.com/r3/docs/gui/guide.html
	an adaptation has been done for the r3-gui.r3 from RMA
	Tested under r3-a111 (view version)
	}
]

do %r3-gui.r3

view [
	title "Hello World"
	button "Close" close
]

view [
	title "Simple Form"
	hpanel 2 [
		label "Name:"
		field
		label "Message:"
		area
	]
	button "Cancel" close
]

view [
	title "Simple Form"
	hpanel 2 [
		label "Name:"
		name: field
		label "Message:"
		message: area
	]
	hgroup [
		button "Submit" submit http://www.rebol.com/cgi-bin/gui-form.r
		button "Help" browse http://www.rebol.com/r3/docs/gui/gui.html
		button "Close" close
	]
]

view [
	title "Opinion Survey"
	text "Do you want programs to be easy to build?"
	hpanel 2 [
		label "Answer:"
		hgroup [
			radio "Agree"
			radio "Disagree"
			radio "Not sure"
		]
		pad
		check "I'm a programmer."
		pad
		check "I am also a REBOL expert."
		label "Name:"
		field
		label "Comment:"
		area
		pad ; temporary, for bug
	]
	hgroup [
		button "Submit" submit http://www.rebol.net/cgi/submit.r
		button "Reset" reset
		button "Cancel" close
	]
]

view [
	title "Progress, Scrollers, and Sliders"
	text "These will change:"
	vpanel [
		prog: progress
		sbar: scroller attach 'prog 
	]
	text "Change the above, variable amounts:"
	vpanel 80.200.180.80 [
		slider attach 'sbar
		scroller attach 'sbar
	]
	text "Change the above, predefined amounts:"
	hpanel 3 [
		button "Set 0%" set 'sbar 0%
		button "Set 10%" set 'sbar 10%
		button "Set 50%" set 'sbar 50%
		button "Set 90%" set 'sbar 90%
		button "Set 100%" set 'sbar 100%
		button "Set 150%" set 'sbar 150%
	]
	text "How wide to make them (their deltas):"
	hpanel 3 200.100.80.80 [
		radio "Delta 10%" on set 'sbar 'delta 10%
		radio "Delta 50%" set 'sbar 'delta 50%
		radio "Delta 100%" set 'sbar 'delta 100%
	]
]